GeoPath.Impl.SegIt (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class GeoPath.Impl.SegIt

    java.lang.Object
      com.bbn.openmap.geo.GeoPath.Impl.SegIt

All Implemented Interfaces:
  GeoExtent, GeoPath.SegmentIterator, GeoSegment, java.util.Iterator

Enclosing class:
  GeoPath.Impl

    protected class GeoPath.Impl.SegIt

extends java.lang.Object
implements GeoPath.SegmentIterator, GeoSegment

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.GeoSegment
`GeoSegment.Impl`

Constructor Summary
`GeoPath.Impl.SegIt()`

Method Summary
`BoundingCircle` | `getBoundingCircle()` Constructs a new bounding circle instance each call.
`java.lang.Object` | `getID()` GeoExtent method
`Geo[]` | `getSeg()` GSegment method.
`double[]` | `getSegArray()`
`java.lang.Object` | `getSegId()` Deprecated.
`boolean` | `hasNext()` Asking if there is another segment.
`java.lang.Object` | `next()` standard implementation of Iterator.next() returns the same value as nextSegment(), albeit needing casting to GSegment.
`GeoSegment` | `nextSegment()` Advance to the next pegment.
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoPath.Impl.SegIt

    public GeoPath.Impl.SegIt()

Method Detail

### getBoundingCircle

    public BoundingCircle getBoundingCircle()

  Constructs a new bounding circle instance each call. *

  Specified by:
    `getBoundingCircle` in interface `GeoExtent`

### hasNext

    public boolean hasNext()

  Description copied from interface: `GeoPath.SegmentIterator`
  Asking if there is another segment. *

  Specified by:
    `hasNext` in interface `GeoPath.SegmentIterator`
  Specified by:
    `hasNext` in interface `java.util.Iterator`

### next

    public java.lang.Object next()

  Description copied from interface: `GeoPath.SegmentIterator`
  standard implementation of Iterator.next() returns the same value as nextSegment(), albeit needing casting to GSegment.

  Specified by:
    `next` in interface `GeoPath.SegmentIterator`
  Specified by:
    `next` in interface `java.util.Iterator`

### nextSegment

    public GeoSegment nextSegment()

  Description copied from interface: `GeoPath.SegmentIterator`
  Advance to the next pegment. Some implementations will also implement GSegment, so that #next() returns the iterator instance itself, but this should not be depended on.

  Specified by:
    `nextSegment` in interface `GeoPath.SegmentIterator`
  Returns:
    the next GSegment

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator`

### getSeg

    public Geo[] getSeg()

  GSegment method.

  Specified by:
    `getSeg` in interface `GeoSegment`
  Returns:
    the current segment as a two-element array of Geo The first point is the "current point" and the second is the next. TODO If there isn't another point available, will throw an indexOutOfBounds exception.

### getSegArray

    public double[] getSegArray()

  Specified by:
    `getSegArray` in interface `GeoSegment`
  Returns:
    the current segment as a float[]. The first point is the "current point" and the second is the next. TODO If there isn't another point available, will throw an indexOutOfBounds exception.

### getSegId

    public java.lang.Object getSegId()

  Deprecated.

  Return Object ID for current segment.

### getID

    public java.lang.Object getID()

  GeoExtent method

  Specified by:
    `getID` in interface `GeoExtent`
  Returns:
    Object ID for current segment.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details